From 270e5725e8c8dc17044c7b4effdaf0b839f2bb01 Mon Sep 17 00:00:00 2001
From: Shaily <shaily15297@yahoo.com>
Date: Feb 05 2018 14:33:19 +0000
Subject: [PATCH 29/32] Issues: Update CachedFunctions


---

diff --git a/hubs/widgets/issues/functions.py b/hubs/widgets/issues/functions.py
index e29caa8..aaa1987 100644
--- a/hubs/widgets/issues/functions.py
+++ b/hubs/widgets/issues/functions.py
@@ -39,19 +39,19 @@ class GetBugzillaBugs(CachedFunction):
 
     def should_invalidate(self, message):
         if self.instance.hub.hub_type == "stream":
-            user_hub = Hub.query.filter_by(name=self.instance.hub.name).first()
-            email = user_hub.config.get('bugzilla_email')
+            watched_hub = Hub.query.filter_by(name=self.instance.hub.name).first()
         else:
-            email = self.instance.hub.config.get('bugzilla_email')
+            watched_hub = self.instance.hub
+        if message["topic"].endswith('.hubs.hub.updated'):
+            return (message['msg']['hub_id'] == watched_hub.id and
+                    'bugzilla_email' in message['msg']['changed_keys'])
+        email = watched_hub.config.get('bugzilla_email')
         if email is None:
             return False
         mode = self.instance.config['mode']
         if message['topic'].endswith('bugzilla.bug.new') or \
            message['topic'].endswith('bugzilla.bug.update'):
             return message['msg']['bug']['creator' if mode == 'author' else 'assigned_to'] == email
-        elif message["topic"].endswith('.hubs.hub.updated'):
-            return message['msg']['hub_id'] == self.instance.hub.id and \
-                   'bugzilla_email' in message['msg']['changed_keys']
         else:
             return False
 
@@ -88,10 +88,13 @@ class GetPagureIssues(CachedFunction):
     def should_invalidate(self, message):
         mode = self.instance.config['mode']
         if self.instance.hub.hub_type == "stream":
-            user_hub = Hub.query.filter_by(name=self.instance.hub.name).first()
-            username = user_hub.config.get('pagure_username')
+            watched_hub = Hub.query.filter_by(name=self.instance.hub.name).first()
         else:
-            username = self.instance.hub.config.get('pagure_username')
+            watched_hub = self.instance.hub
+        if message["topic"].endswith('.hubs.hub.updated'):
+            return (message['msg']['hub_id'] == watched_hub.id and
+                    'pagure_username' in message['msg']['changed_keys'])
+        username = watched_hub.config.get('pagure_username')
         if username is None:
             return False
         if message['topic'].endswith('pagure.issue.new') or \
@@ -101,9 +104,6 @@ class GetPagureIssues(CachedFunction):
            message['topic'].endswith('pagure.issue.drop'):
             entry = message['msg']['issue']['user' if mode == 'author' else 'assignee']
             return entry and entry['name'] == username
-        elif message["topic"].endswith('.hubs.hub.updated'):
-            return message['msg']['hub_id'] == self.instance.hub.id and \
-                   'pagure_username' in message['msg']['changed_keys']
         else:
             return False
 
@@ -139,10 +139,13 @@ class GetGithubIssues(CachedFunction):
     def should_invalidate(self, message):
         mode = self.instance.config['mode']
         if self.instance.hub.hub_type == "stream":
-            user_hub = Hub.query.filter_by(name=self.instance.hub.name).first()
-            username = user_hub.config.get('github_username')
+            watched_hub = Hub.query.filter_by(name=self.instance.hub.name).first()
         else:
-            username = self.instance.hub.config.get('github_username')
+            watched_hub = self.instance.hub
+        if message["topic"].endswith('.hubs.hub.updated'):
+            return (message['msg']['hub_id'] == watched_hub.id and
+                    'github_username' in message['msg']['changed_keys'])
+        username = watched_hub.config.get('github_username')
         if username is None:
             return False
         if message['topic'].endswith('github.issue.opened') or \
@@ -151,8 +154,5 @@ class GetGithubIssues(CachedFunction):
            message['topic'].endswith('github.issue.closed'):
             entry = message['msg']['issue']['user' if mode == 'author' else 'assignee']
             return entry and entry['login'] == username
-        elif message["topic"].endswith('.hubs.hub.updated'):
-            return message['msg']['hub_id'] == self.instance.hub.id and \
-                   'github_username' in message['msg']['changed_keys']
         else:
             return False

